WMI(1)

NAME
WMI - Window Manager Improved, a X11 window manager for hackers and real programmers

SYNOPSIS
wmiremote [-d display] [-t text] [-a action[+arg[+arg ...]]] [-m NN%text[,NN%text,...]] [-p] [-v]

DESCRIPTION
Remote tool for WMI which is capable to set user defined status text to the WMI status bar, to pretty print current WMI key bindings (shortcuts) or to invoke WMI actions remotely.

OPTIONS

-d display
    Specifies the X display to use. Normally the display provided by the $DISPLAY environment variable is used. But if you want to use another display, e.g. a display provided by a remote host, just use this option.

-m NN%text[,NN%text,...]
    Sets user defined status meters to the status bar. NN stands for a number between 1 and 99 to define the percentage of the meter. The text is a definition what the meter stands for. The text is optional. The usage of a ! before NN reverts the meaning of high and low. Example: '99%high,66%normal,33%low,!99%highrevert'

-t text
    Sets user defined status text to the status bar of the WMI. Note that the text string must be quoted if it contains whitespaces. This option is useful if you've running some status scripts which provide time/date information or maybe some other info to the status bar. See examples directory of the WMI distribution tarball which contains a statustext.sh example script, which sets time/date and APM information to the WMI status bar using wmiremote with the discussed option.

-a action[+arg[+arg ...]]
    Invokes the specified action within WMI remotely, e.g. split-frame-down. If the action needs some arguments you can smuggle them with following syntax: wmiremote -a create-workspace+cool This will create a new workspace with the name "cool" remotely. As you can see the '+' character is used to introduce an argument. To get further informations about the actions you can invoke, see wmi(1).

-p  Prints current key bindings of WMI.

-v  Prints the version of WMI.

AUTHOR
WMI was written by Anselm R. Garbe < anselmg@t-online.de > and others (see AUTHORS or the WMI site for further information) You will find the newest version of WMI at http://wmi.berlios.de/. There is also a mailing list.

BUGS
You should report them to the mailing list.

SEE ALSO
wmi(1)